<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Store extends Model
{
    use SoftDeletes;

    protected $table='stores';

    public function store_location(){
        return $this->belongsTo(StoreLocation::class,'store_location_id')->withTrashed();
    }
    public function address(){
        return $this->belongsTo(ClientAddress::class,'address_id')->withTrashed();
    }
}
